<?php include 'header.php'; ?>
<div class="container">
    <div class="pt-5">
        <h3>New Ride</h3>
    </div>
    <form method="post" action="<?php echo base_url('Main/add_ride') ?>">
        <div class="row">
            <?php if ($this->session->userdata('admin')=='0'){ ?>
                <div class="form-group col-md-12">
                    <label for="hotelSelect"><strong>Hotel</strong></label>
                    <select class="form-control" id="hotelSelect" name="hotel_id">
                        <?php foreach ($hotel as $key) { ?>
                            <option value="<?php echo $key->id;?>"><?php echo $key->hotel_name; ?></option>
                        <?php } ?>
                    </select>
                </div>
            <?php } ?>
            <?php if ($this->session->userdata('admin')=='1'){ ?>
                <div class="form-group col-md-12">
                    <label for="hotelSelect"><strong>Hotel</strong></label>
                    <select class="form-control" id="hotelSelect" name="hotel_id">
                        <?php foreach ($hotelbyuser as $key) { ?>
                            <option value="<?php echo $key->id; ?>"><?php echo $key->hotel_name; ?></option>
                        <?php } ?>
                    </select>
                </div>
            <?php } ?>
            <div class="form-group col-md-12">
                <label for="destinySelect"><strong>Destination</strong></label>
                <select class="form-control" id="destinySelect" name="destiny_id">
                    <?php foreach ($destiny as $key1) { ?>
                        <option value="<?php echo $key1->id;?>"><?php echo $key1->destiny; ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="form-group col-md-12">
                <label for="driverSelect"><strong>Driver</strong></label>
                <select class="form-control" id="driverSelect" name="driver_id">
                    <?php foreach ($driver as $key2) { ?>
                        <option value="<?php echo $key2->id;?>"><?php echo $key2->drive_name; ?></option>
                    <?php } ?>
                </select>
            </div>
        </div>
        <div class="row">
            <!-- Counter input -->
            <div class="form-group col-md-3">
                <label for="rideCount"><strong>Number of Rides</strong></label>
                <input type="number" class="form-control" id="rideCount" name="ride_count" value="1" min="1">
            </div>
        </div>
        <button type="submit" class="btn btn-primary">Save Ride</button>
    </form>
</div>

<!-- Include Select2 CSS and JS -->
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>

<!-- Initialize Select2 -->
<script>
    $(document).ready(function() {
        $('#hotelSelect').select2({
            placeholder: 'Select a hotel',
            allowClear: true
        });
        $('#destinySelect').select2({
            placeholder: 'Select a destination',
            allowClear: true
        });
        $('#driverSelect').select2({
            placeholder: 'Select a driver',
            allowClear: true
        });
    });
</script>

<style>
    .select2-results__options {
        max-height:50vh !important;
    }
</style>
